package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.excelutil.entity.KuaishouChannelRegInfoEntity;

import java.util.Date;

/**
 * 快手渠道注册信息表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-26
 */
@TableName("ctop_kuaishou_channel_reg_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
public class KuaishouChannelRegInfo {
    @TableId(type = IdType.AUTO)
    private Integer id;
    private String stateDate;
    private String channelCode;
    private Integer regNum;
    private String perfectDataRate;
    private String maleRatio;
    private Date createTime;
    private Date updateTime;

    public KuaishouChannelRegInfo() {
    }

    public KuaishouChannelRegInfo(KuaishouChannelRegInfoEntity regInfoEntity) {
        this.stateDate = regInfoEntity.getStateDate();
        this.channelCode = regInfoEntity.getChannelCode();
        this.regNum = regInfoEntity.getRegNum();
        this.perfectDataRate = regInfoEntity.getPerfectDataRate();
        this.maleRatio = regInfoEntity.getMaleRatio();
        this.createTime = new Date();
        this.updateTime = new Date();
    }
}
